# Uses of Interface
org.apache.cxf.transport.Destination

Packages that use Destination
Package
Description
org.apache.cxf.binding
org.apache.cxf.endpoint
org.apache.cxf.message
org.apache.cxf.policy
org.apache.cxf.transport
org.apache.cxf.ws.addressing

- ## Uses of Destination in org.apache.cxf.binding

  Methods in org.apache.cxf.binding with parameters of type Destination
  Modifier and Type
  Method
  Description
  `void`
  AbstractBindingFactory.`addListener(Destination d, Endpoint e)`
  `void`
  BindingFactory.`addListener(Destination d, Endpoint e)`
  Set the destination's message observer which is created by using the endpoint to listen the incoming message

- ## Uses of Destination in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint that return Destination
  Modifier and Type
  Method
  Description
  `Destination`
  Server.`getDestination()`
  `Destination`
  ServerImpl.`getDestination()`
  Methods in org.apache.cxf.endpoint with parameters of type Destination
  Modifier and Type
  Method
  Description
  `void`
  ServerImpl.`setDestination(Destination destination)`

- ## Uses of Destination in org.apache.cxf.message

  Methods in org.apache.cxf.message that return Destination
  Modifier and Type
  Method
  Description
  `Destination`
  AbstractWrappedMessage.`getDestination()`
  `Destination`
  Exchange.`getDestination()`
  `Destination`
  ExchangeImpl.`getDestination()`
  `Destination`
  Message.`getDestination()`
  `Destination`
  MessageImpl.`getDestination()`
  Methods in org.apache.cxf.message with parameters of type Destination
  Modifier and Type
  Method
  Description
  `void`
  Exchange.`setDestination(Destination destination)`
  `void`
  ExchangeImpl.`setDestination(Destination d)`
  `void`
  MessageImpl.`setDestination(Destination d)`

- ## Uses of Destination in org.apache.cxf.policy

  Methods in org.apache.cxf.policy with parameters of type Destination
  Modifier and Type
  Method
  Description
  `<T> T`
  PolicyDataEngine.`getServerEndpointPolicy(Message m, EndpointInfo ei, Destination d, PolicyCalculator<T> policyCalculator)`

- ## Uses of Destination in org.apache.cxf.transport

  Subinterfaces of Destination in org.apache.cxf.transport
  Modifier and Type
  Interface
  Description
  `interface`
  `MultiplexDestination`
  A MultiplexDestination is a transport-level endpoint capable of receiving unsolicited incoming messages from different peers for multiple targets identified by a unique id.
  Classes in org.apache.cxf.transport that implement Destination
  Modifier and Type
  Class
  Description
  `class`
  `AbstractDestination`
  Abstract base class factoring out common Destination logic, allowing non-decoupled transports to be written without any regard for the decoupled back-channel or partial response logic.
  `class`
  `AbstractMultiplexDestination`
  Methods in org.apache.cxf.transport that return Destination
  Modifier and Type
  Method
  Description
  `Destination`
  DestinationFactory.`getDestination(EndpointInfo ei, Bus bus)`
  Create a destination.

- ## Uses of Destination in org.apache.cxf.ws.addressing

  Methods in org.apache.cxf.ws.addressing that return Destination
  Modifier and Type
  Method
  Description
  `static Destination`
  ContextUtils.`createDecoupledDestination(Exchange exchange, org.apache.cxf.ws.addressing.EndpointReferenceType reference)`